net.i2p

## Class CoreVersion

- java.lang.Object
- - net.i2p.CoreVersion

    public class CoreVersion
    extends Object

Expose a version string

### Field Summary

Fields
`static String` `ID` deprecated
`static String` `VERSION`

### Constructor Summary

Constructors
Constructor and Description
`CoreVersion()`

### Method Summary

Methods
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

deprecated

See Also:
  Constant Field Values

#### VERSION

    public static final String VERSION

See Also:
  Constant Field Values

### Constructor Detail

#### CoreVersion

    public CoreVersion()

### Method Detail

#### main

    public static void main(String[] args)